package cn.axzo.msg.center.api.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description
 *   消息的临时业务分类
 * @author cold_blade
 * @date 2023/8/31
 * @version 1.0
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum MsgTempBizCategoryEnum {

    /**
     * 待接收任务
     */
    PENDING_TASK("待接受任务"),
    /**
     * 待确认记工
     */
    TO_BE_CONFIRMED_WORK_RECORD("待确认记工"),
    /**
     * 待确认借支
     */
    TO_BE_CONFIRMED_LEND_RECORD("待确认借支");

    private final String desc;
}
